v_hdmirx: XV_HdmiRx Struct Reference

| v_hdmirx Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XV_HdmiRx Struct Reference

The XHdmiRx driver instance data. More...

## Data Fields
XV_HdmiRx_Config | Config
| Hardware Configuration. More...
u32 | IsReady
| Core and the driver instance are initialized. More...
XV_HdmiRx_Callback | ConnectCallback
| Callback for connect event interrupt. More...
void * | ConnectRef
| To be passed to the connect interrupt callback. More...
u32 | IsConnectCallbackSet
| Set flag. More...
XV_HdmiRx_Callback | AuxCallback
| Callback for AUX event interrupt. More...
void * | AuxRef
| To be passed to the AUX interrupt callback. More...
u32 | IsAuxCallbackSet
| Set flag. More...
XV_HdmiRx_Callback | AudCallback
| Callback for AUD event interrupt. More...
void * | AudRef
| To be passed to the Audio interrupt callback. More...
u32 | IsAudCallbackSet
| Set flag. More...
XV_HdmiRx_Callback | LnkStaCallback
| Callback for LNKSTA event interrupt. More...
void * | LnkStaRef
| To be passed to the LNKSTA interrupt callback. More...
u32 | IsLnkStaCallbackSet
| Set flag. More...
XV_HdmiRx_Callback | DdcCallback
| Callback for PDDC interrupt. More...
void * | DdcRef
| To be passed to the DDC interrupt callback. More...
u32 | IsDdcCallbackSet
| Set flag. More...
XV_HdmiRx_Callback | StreamDownCallback
| Callback for stream down callback. More...
void * | StreamDownRef
| To be passed to the stream down callback. More...
u32 | IsStreamDownCallbackSet
| Set flag. More...
XV_HdmiRx_Callback | StreamInitCallback
| Callback for stream init callback. More...
void * | StreamInitRef
| To be passed to the stream start callback. More...
u32 | IsStreamInitCallbackSet
| Set flag. More...
XV_HdmiRx_Callback | StreamUpCallback
| Callback for stream up callback. More...
void * | StreamUpRef
| To be passed to the stream up callback. More...
u32 | IsStreamUpCallbackSet
| Set flag. More...
XV_HdmiRx_HdcpCallback | HdcpCallback
| Callback for hdcp callback. More...
void * | HdcpRef
| To be passed to the hdcp callback. More...
u32 | IsHdcpCallbackSet
| Set flag. More...
XV_HdmiRx_Callback | Hdcp14ProtEvtCallback
| Callback for hdcp 1.4 protocol event written on the ddc. More...
void * | Hdcp14ProtEvtRef
| To be passed to the hdcp 1.4 protocol event callback. More...
u32 | IsHdcp14ProtEvtCallbackSet
| Set flag. More...
XV_HdmiRx_Callback | Hdcp22ProtEvtCallback
| Callback for hdcp 2.2 protocol event written on the ddc. More...
void * | Hdcp22ProtEvtRef
| To be passed to the hdcp 2.2 protocol event callback. More...
u32 | IsHdcp22ProtEvtCallbackSet
| Set flag. More...
XV_HdmiRx_Callback | LinkErrorCallback
| Callback for link error callback. More...
void * | LinkErrorRef
| To be passed to the link error callback. More...
u32 | IsLinkErrorCallbackSet
| Set flag. More...
XV_HdmiRx_Callback | BrdgOverflowCallback
| Callback for bridge overflow callback. More...
void * | BrdgOverflowRef
| To be passed to the bridge overflow callback. More...
u32 | IsBrdgOverflowCallbackSet
| Set flag. More...
XV_HdmiRx_Callback | SyncLossCallback
| Callback for sync loss callback. More...
void * | SyncLossRef
| To be passed to the link error callback. More...
u32 | IsSyncLossCallbackSet
| Set flag. More...
XV_HdmiRx_Callback | ModeCallback
| Callback for sync loss callback. More...
void * | ModeRef
| To be passed to the link error callback. More...
u32 | IsModeCallbackSet
| Set flag. More...
XV_HdmiRx_Callback | TmdsClkRatioCallback
| Callback for TMDS clock ratio change. More...
void * | TmdsClkRatioRef
| To be passed to the TMDS callback. More...
u32 | IsTmdsClkRatioCallbackSet
| Set flag. More...
XV_HdmiRx_Callback | VicErrorCallback
| Callback for Vic error detection. More...
void * | VicErrorRef
| To be passed to the vic error callback. More...
u32 | IsVicErrorCallbackSet
| Set flag. More...
XV_HdmiRx_Stream | Stream
| HDMI RX stream information. More...
XHdmiC_Aux | Aux
| AUX peripheral information. More...
u32 | AudCts
| Audio CTS. More...
u32 | AudN
| Audio N element. More...
XV_HdmiRx_AudioFormatType | AudFormat
| Audio Format. More...

## Detailed Description

The XHdmiRx driver instance data.

An instance must be allocated for each HDMI RX core in use.

## Field Documentation

XV_HdmiRx_Callback XV_HdmiRx::AudCallback

Callback for AUD event interrupt.

Referenced by XV_HdmiRx_CfgInitialize(), and XV_HdmiRx_SetCallback().

u32 XV_HdmiRx::AudCts

Audio CTS.

Referenced by XV_HdmiRx_Clear().

XV_HdmiRx_AudioFormatType XV_HdmiRx::AudFormat

Audio Format.

Referenced by XV_HdmiRx_Clear().

u32 XV_HdmiRx::AudN

Audio N element.

Referenced by XV_HdmiRx_Clear().

void* XV_HdmiRx::AudRef

To be passed to the Audio interrupt callback.

Referenced by XV_HdmiRx_SetCallback().

XHdmiC_Aux XV_HdmiRx::Aux

AUX peripheral information.

Referenced by XV_HdmiRx_Clear().

XV_HdmiRx_Callback XV_HdmiRx::AuxCallback

Callback for AUX event interrupt.

Referenced by XV_HdmiRx_CfgInitialize(), and XV_HdmiRx_SetCallback().

void* XV_HdmiRx::AuxRef

To be passed to the AUX interrupt callback.

Referenced by XV_HdmiRx_SetCallback().

XV_HdmiRx_Callback XV_HdmiRx::BrdgOverflowCallback

Callback for bridge overflow callback.

Referenced by XV_HdmiRx_SetCallback().

void* XV_HdmiRx::BrdgOverflowRef

To be passed to the bridge overflow callback.

Referenced by XV_HdmiRx_SetCallback().

XV_HdmiRx_Config XV_HdmiRx::Config

Hardware Configuration.

Referenced by XV_HdmiRx_CfgInitialize(), XV_HdmiRx_ClearLinkStatus(), XV_HdmiRx_DdcGetEdidWords(), XV_HdmiRx_DdcGetHdcpReadMessageBufferWords(), XV_HdmiRx_DdcGetHdcpWriteMessageBufferWords(), XV_HdmiRx_DdcIsHdcpReadMessageBufferEmpty(), XV_HdmiRx_DdcIsHdcpWriteMessageBufferEmpty(), XV_HdmiRx_DdcLoadEdid(), XV_HdmiRx_GetAcrCts(), XV_HdmiRx_GetAcrN(), XV_HdmiRx_GetAviColorSpace(), XV_HdmiRx_GetAviVic(), XV_HdmiRx_GetGcpColorDepth(), XV_HdmiRx_GetLinkStatus(), XV_HdmiRx_GetTmdsClockRatio(), XV_HdmiRx_GetVideoProperties(), XV_HdmiRx_GetVideoTiming(), XV_HdmiRx_IntrHandler(), XV_HdmiRx_IsLinkStatusErrMax(), XV_HdmiRx_SelfTest(), XV_HdmiRx_SetColorFormat(), XV_HdmiRx_SetHpd(), and XV_HdmiRx_SetPixelRate().

XV_HdmiRx_Callback XV_HdmiRx::ConnectCallback

Callback for connect event interrupt.

Referenced by XV_HdmiRx_CfgInitialize(), and XV_HdmiRx_SetCallback().

void* XV_HdmiRx::ConnectRef

To be passed to the connect interrupt callback.

Referenced by XV_HdmiRx_SetCallback().

XV_HdmiRx_Callback XV_HdmiRx::DdcCallback

Callback for PDDC interrupt.

Referenced by XV_HdmiRx_CfgInitialize(), and XV_HdmiRx_SetCallback().

void* XV_HdmiRx::DdcRef

To be passed to the DDC interrupt callback.

Referenced by XV_HdmiRx_SetCallback().

XV_HdmiRx_Callback XV_HdmiRx::Hdcp14ProtEvtCallback

Callback for hdcp 1.4 protocol event written on the ddc.

Referenced by XV_HdmiRx_SetCallback().

void* XV_HdmiRx::Hdcp14ProtEvtRef

To be passed to the hdcp 1.4 protocol event callback.

Referenced by XV_HdmiRx_SetCallback().

XV_HdmiRx_Callback XV_HdmiRx::Hdcp22ProtEvtCallback

Callback for hdcp 2.2 protocol event written on the ddc.

Referenced by XV_HdmiRx_SetCallback().

void* XV_HdmiRx::Hdcp22ProtEvtRef

To be passed to the hdcp 2.2 protocol event callback.

Referenced by XV_HdmiRx_SetCallback().

XV_HdmiRx_HdcpCallback XV_HdmiRx::HdcpCallback

Callback for hdcp callback.

Referenced by XV_HdmiRx_CfgInitialize(), and XV_HdmiRx_SetCallback().

void* XV_HdmiRx::HdcpRef

To be passed to the hdcp callback.

Referenced by XV_HdmiRx_SetCallback().

u32 XV_HdmiRx::IsAudCallbackSet

Set flag.

This flag is set to true when the callback has been registered

Referenced by XV_HdmiRx_CfgInitialize(), and XV_HdmiRx_SetCallback().

u32 XV_HdmiRx::IsAuxCallbackSet

Set flag.

This flag is set to true when the callback has been registered

Referenced by XV_HdmiRx_CfgInitialize(), and XV_HdmiRx_SetCallback().

u32 XV_HdmiRx::IsBrdgOverflowCallbackSet

Set flag.

This flag is set to true when the callback has been registered

Referenced by XV_HdmiRx_SetCallback().

u32 XV_HdmiRx::IsConnectCallbackSet

Set flag.

This flag is set to true when the callback has been registered

Referenced by XV_HdmiRx_CfgInitialize(), and XV_HdmiRx_SetCallback().

u32 XV_HdmiRx::IsDdcCallbackSet

Set flag.

This flag is set to true when the callback has been registered

Referenced by XV_HdmiRx_CfgInitialize(), and XV_HdmiRx_SetCallback().

u32 XV_HdmiRx::IsHdcp14ProtEvtCallbackSet

Set flag.

This flag is set to true when the callback has been registered

Referenced by XV_HdmiRx_SetCallback().

u32 XV_HdmiRx::IsHdcp22ProtEvtCallbackSet

Set flag.

This flag is set to true when the callback has been registered

Referenced by XV_HdmiRx_SetCallback().

u32 XV_HdmiRx::IsHdcpCallbackSet

Set flag.

This flag is set to true when the callback has been registered

Referenced by XV_HdmiRx_CfgInitialize(), and XV_HdmiRx_SetCallback().

u32 XV_HdmiRx::IsLinkErrorCallbackSet

Set flag.

This flag is set to true when the callback has been registered

Referenced by XV_HdmiRx_CfgInitialize(), and XV_HdmiRx_SetCallback().

u32 XV_HdmiRx::IsLnkStaCallbackSet

Set flag.

This flag is set to true when the callback has been registered

Referenced by XV_HdmiRx_CfgInitialize(), and XV_HdmiRx_SetCallback().

u32 XV_HdmiRx::IsModeCallbackSet

Set flag.

This flag is set to true when the callback has been registered

Referenced by XV_HdmiRx_CfgInitialize(), and XV_HdmiRx_SetCallback().

u32 XV_HdmiRx::IsReady

Core and the driver instance are initialized.

Referenced by XV_HdmiRx_CfgInitialize(), and XV_HdmiRx_IntrHandler().

u32 XV_HdmiRx::IsStreamDownCallbackSet

Set flag.

This flag is set to true when the callback has been registered

Referenced by XV_HdmiRx_CfgInitialize(), XV_HdmiRx_Clear(), and XV_HdmiRx_SetCallback().

u32 XV_HdmiRx::IsStreamInitCallbackSet

Set flag.

This flag is set to true when the callback has been registered

Referenced by XV_HdmiRx_CfgInitialize(), and XV_HdmiRx_SetCallback().

u32 XV_HdmiRx::IsStreamUpCallbackSet

Set flag.

This flag is set to true when the callback has been registered

Referenced by XV_HdmiRx_CfgInitialize(), and XV_HdmiRx_SetCallback().

u32 XV_HdmiRx::IsSyncLossCallbackSet

Set flag.

This flag is set to true when the callback has been registered

Referenced by XV_HdmiRx_CfgInitialize(), and XV_HdmiRx_SetCallback().

u32 XV_HdmiRx::IsTmdsClkRatioCallbackSet

Set flag.

This flag is set to true when the callback has been registered

Referenced by XV_HdmiRx_CfgInitialize(), and XV_HdmiRx_SetCallback().

u32 XV_HdmiRx::IsVicErrorCallbackSet

Set flag.

This flag is set to true when the callback has been registered

Referenced by XV_HdmiRx_CfgInitialize(), and XV_HdmiRx_SetCallback().

XV_HdmiRx_Callback XV_HdmiRx::LinkErrorCallback

Callback for link error callback.

Referenced by XV_HdmiRx_CfgInitialize(), and XV_HdmiRx_SetCallback().

void* XV_HdmiRx::LinkErrorRef

To be passed to the link error callback.

Referenced by XV_HdmiRx_SetCallback().

XV_HdmiRx_Callback XV_HdmiRx::LnkStaCallback

Callback for LNKSTA event interrupt.

Referenced by XV_HdmiRx_CfgInitialize(), and XV_HdmiRx_SetCallback().

void* XV_HdmiRx::LnkStaRef

To be passed to the LNKSTA interrupt callback.

Referenced by XV_HdmiRx_SetCallback().

XV_HdmiRx_Callback XV_HdmiRx::ModeCallback

Callback for sync loss callback.

Referenced by XV_HdmiRx_CfgInitialize(), and XV_HdmiRx_SetCallback().

void* XV_HdmiRx::ModeRef

To be passed to the link error callback.

Referenced by XV_HdmiRx_SetCallback().

XV_HdmiRx_Stream XV_HdmiRx::Stream

HDMI RX stream information.

Referenced by XV_HdmiRx_CfgInitialize(), XV_HdmiRx_Clear(), XV_HdmiRx_DebugInfo(), XV_HdmiRx_GetVideoProperties(), XV_HdmiRx_GetVideoTiming(), XV_HdmiRx_IsStreamConnected(), XV_HdmiRx_IsStreamScrambled(), XV_HdmiRx_IsStreamUp(), XV_HdmiRx_SetColorFormat(), XV_HdmiRx_SetPixelRate(), and XV_HdmiRx_SetStream().

XV_HdmiRx_Callback XV_HdmiRx::StreamDownCallback

Callback for stream down callback.

Referenced by XV_HdmiRx_CfgInitialize(), XV_HdmiRx_Clear(), and XV_HdmiRx_SetCallback().

void* XV_HdmiRx::StreamDownRef

To be passed to the stream down callback.

Referenced by XV_HdmiRx_Clear(), and XV_HdmiRx_SetCallback().

XV_HdmiRx_Callback XV_HdmiRx::StreamInitCallback

Callback for stream init callback.

Referenced by XV_HdmiRx_CfgInitialize(), and XV_HdmiRx_SetCallback().

void* XV_HdmiRx::StreamInitRef

To be passed to the stream start callback.

Referenced by XV_HdmiRx_SetCallback().

XV_HdmiRx_Callback XV_HdmiRx::StreamUpCallback

Callback for stream up callback.

Referenced by XV_HdmiRx_CfgInitialize(), and XV_HdmiRx_SetCallback().

void* XV_HdmiRx::StreamUpRef

To be passed to the stream up callback.

Referenced by XV_HdmiRx_SetCallback().

XV_HdmiRx_Callback XV_HdmiRx::SyncLossCallback

Callback for sync loss callback.

Referenced by XV_HdmiRx_CfgInitialize(), and XV_HdmiRx_SetCallback().

void* XV_HdmiRx::SyncLossRef

To be passed to the link error callback.

Referenced by XV_HdmiRx_SetCallback().

XV_HdmiRx_Callback XV_HdmiRx::TmdsClkRatioCallback

Callback for TMDS clock ratio change.

Referenced by XV_HdmiRx_CfgInitialize(), and XV_HdmiRx_SetCallback().

void* XV_HdmiRx::TmdsClkRatioRef

To be passed to the TMDS callback.

Referenced by XV_HdmiRx_SetCallback().

XV_HdmiRx_Callback XV_HdmiRx::VicErrorCallback

Callback for Vic error detection.

Referenced by XV_HdmiRx_CfgInitialize(), and XV_HdmiRx_SetCallback().

void* XV_HdmiRx::VicErrorRef

To be passed to the vic error callback.

Referenced by XV_HdmiRx_SetCallback().